// Level1.wdl
path "Data";
var first_game_start=1;
var gaming_time=0;
var d3d_transform=1;
var menu_open=1;
var Bloom=0;
var level_loaded=0;
var zoom=600;
var zoom2=300;
var check_zooming=1;
var stone_time=0;
var norm_time=0;
var umwandlungen=0;
var runtergefallen=0;
entity* bounci_ball;
savedir "C:\\Dokumente und Einstellungen\\All Users\\Anwendungsdaten\\Bounci XDream 2";
var particel_quality=1;
include <Blue_Fire.wdl>;
include <Funken.wdl>;
sound wham=<Wham.wav>;
var pan1=0;
var pan2=400;
var alternative_cam=0;
var allow_to_go=1;
font credits_font="Times",1,24;
bmap _mtlSkin0 = <cubemap+6.tga>;
font demo_font="Times",1,24;

material mat_bounci
{
   diffuse_red    = 100;  diffuse_green  = 100;  diffuse_blue   = 100;
	     specular_red   = 255;  specular_green = 255;  specular_blue  = 255;
	power=15;
}
material mat_stone
{
   diffuse_red    = 100;  diffuse_green  = 100;  diffuse_blue   = 100;
	     specular_red   = 25;  specular_green = 25;  specular_blue  = 25;
	power=15;
}
material mat_reflect
{
	  skin1 = _mtlSkin0;
 ambient_red    = 255;  ambient_green  = 255;  ambient_blue   = 255;
   diffuse_red    = 255;  diffuse_green  = 255;  diffuse_blue   = 255;
     specular_red   = 128;  specular_green = 128;  specular_blue  = 128;
       emissive_red   = 255;  emissive_green = 255;  emissive_blue  = 255;
         albedo   = 99;
   power = 40.;
		effect="Shader.fx";
}

/////////////////////////
// Bloom
dllfunction prototype;
dllfunction render_backbuffer(entity);
material mat_bloom
{
	ambient_red=255;
}

entity glow_quad
{
  type = <grey.TGA>; //128*128 works best but can be any size
//this entity is always invisible..
}

entity glow_quad_view
{
  	type = <grey.TGA>;
 	view = CAMERA; // same camera parameters as the default view
// set the x position according to the texture size..
//	x = 36; // for 32
//	x = 72; // for 64
	x = 145; // for 128 
 	y = 0; //center horzontally
 	z = 0; // and center vertically
}  

function map_glow()
{
	me=glow_quad_view;
	my.ambient=10;
	my.transparent=on;
	my.bright=on;
	my.alpha=30;
	my.visible=on;
	my.material=mat_bloom;
	my.scale_x=1.337; //this scales it to screen proportions..
	my.scale_y=0.997; //this scales it to screen proportions..
	//my.scale_x=1.33; //this scales it to screen proportions..
	while(1)
	{
		if(time_factor==1)
		{
		if(bloom==1)
		{
				my.alpha=28;
		}
	
		if(bloom==2)
		{
			my.alpha=45;
		}

		if(bloom==0)
		{
			my.visible=off;
		}
		else
		{
			my.visible=on;
		}
	}
	else
	{
if(my.alpha>1)
{
	my.alpha-=14*time;
}
else
{
	my.alpha=0.1;
}
		}
                //sets material skin1 to the rendered view tex
		mat_bloom.skin1=bmap_for_entity(glow_quad,0);
		wait(1);		
	}
}

function screengrab()
{
	wait(20);
	me=glow_quad;
	map_glow();
	while(level_loaded==0)
	{
		wait(1);
	}
	while(1)
	{
		if(bloom>0)
		{				render_backbuffer(me);

	}
		wait(1);	
	}
}

starter init_() { bmap_to_cubemap(_mtlSkin0); }
var already_played=0;
function graphic_settings();
font small ="times",0,16;
include <ring.wdl>;
var Bounci_keys=1;

bmap Minigames="Minigames.pcx";
bmap Minigames_r="Minigames_r.pcx";
bmap levels="Levels.pcx";
bmap levels_r="Levels_r.pcx";
var menu_allow=1;

bmap start="Start.tga";
bmap End="End.tga";
bmap options="options.tga";



panel menu_buttons
{
	flags=transparent;
	alpha=40;
	layer=200;
	button=0,0,start,start,start,select_game_art,null,beep_button;
		button=0,110,options,options,options,options_menu,null,beep_button;
	button=0,220,end,end,end,exit_game,null,beep_button;

}
panel photo1
{
	scale_x=6;
	scale_y=6;
	flags=transparent, overlay;
	alpha=0;
	bmap="photo1.tga";
	layer=2;
}
panel photo2
{
	scale_x=6;
	scale_y=6;
	flags=transparent, overlay;
	alpha=0;
	bmap="photo2.tga";
	layer=3;
}
panel photo3
{
	scale_x=6;
	scale_y=6;
	flags=transparent, overlay;
	alpha=0;
	bmap="photo3.tga";
	layer=4;
}
panel photo4
{
	scale_x=6;
	scale_y=6;
	flags=transparent, overlay;
	alpha=0;
	bmap="photo4.tga";
	layer=5;
}
panel photo5
{
	scale_x=6;
	scale_y=6;
	flags=transparent, overlay;
	alpha=0;
	bmap="photo5.tga";
	layer=6;
}
panel photo6
{
	scale_x=6;
	scale_y=6;
	flags=transparent, overlay;
	alpha=0;
	bmap="photo6.tga";
	layer=7;
}
panel photo7
{
	scale_x=6;
	scale_y=6;
	flags=transparent, overlay;
	alpha=0;
	bmap="photo7.tga";
	layer=8;
}
panel photo8
{
	scale_x=6;
	scale_y=6;
	flags=transparent, overlay;
	alpha=0;
	bmap="photo8.tga";
	layer=9;
}
panel photo9
{
	scale_x=6;
	scale_y=6;
	flags=transparent, overlay;
	alpha=0;
	bmap="photo9.tga";
	layer=10;
}
panel photo10
{
	scale_x=6;
	scale_y=6;
	flags=transparent, overlay;
	alpha=0;
	bmap="photo10.tga";
	layer=11;
}
panel photo11
{
	scale_x=6;
	scale_y=6;
	flags=transparent, overlay;
	alpha=0;
	bmap="photo11.tga";
	layer=12;
}
panel photo12
{
	scale_x=6;
	scale_y=6;
	flags=transparent, overlay;
	alpha=0;
	bmap="photo12.tga";
	layer=13;
}
text statistik_text
{
	layer=20;
	font=credits_font;
	string="Gesamte Spielzeit:
	Spielzeit mit Bounci-Kugel:
	Spielzeit mit Stein-Kugel:
	Durchgefhrte Umwandlungen:
	Bereits Runtergefallen:
	Bereits geschaffte Level:";
}
function menu_photos()
{


		wait(1);
	while(menu_buttons.visible==on) || (statistik_text.visible==on)
	{
			photo1.alpha=0;
	photo1.scale_x=6;
	photo1.scale_y=6;
	photo1.pos_x=256+random(screen_size.x-526);
	//screen_size.x/2-random(screen_size.x/2)-200+random(screen_size.x/2)-200; // It doesn't work. Unknown problem
	photo1.pos_y=random(screen_size.y-220);
			photo1.alpha=0;
			
	photo2.scale_x=6;
	photo2.scale_y=6;
	photo2.pos_x=256+random(screen_size.x-526);
		photo2.pos_y=random(screen_size.y-220);
			photo2.alpha=0;
			
	photo3.scale_x=6;
	photo3.scale_y=6;
	photo3.pos_x=256+random(screen_size.x-526);
		photo3.pos_y=random(screen_size.y-220);
			photo3.alpha=0;
			
	photo4.scale_x=6;
	photo4.scale_y=6;
	photo4.pos_x=256+random(screen_size.x-526);
		photo4.pos_y=random(screen_size.y-220);
			photo4.alpha=0;
			
	photo5.scale_x=6;
	photo5.scale_y=6;
	photo5.pos_x=256+random(screen_size.x-526);
		photo5.pos_y=random(screen_size.y-220);
					photo5.alpha=0;
					
	photo6.scale_x=6;
	photo6.scale_y=6;
	photo6.pos_x=256+random(screen_size.x-526);
		photo6.pos_y=random(screen_size.y-220);
					photo6.alpha=0;

	photo6.scale_x=6;
	photo6.scale_y=6;
	photo6.pos_x=256+random(screen_size.x-526);
		photo6.pos_y=random(screen_size.y-220);
					photo6.alpha=0;

	photo7.scale_x=6;
	photo7.scale_y=6;
	photo7.pos_x=256+random(screen_size.x-526);
		photo7.pos_y=random(screen_size.y-220);
					photo7.alpha=0;

	photo8.scale_x=6;
	photo8.scale_y=6;
	photo8.pos_x=256+random(screen_size.x-526);
		photo8.pos_y=random(screen_size.y-220);
					photo8.alpha=0;

	photo9.scale_x=6;
	photo9.scale_y=6;
	photo9.pos_x=256+random(screen_size.x-526);
		photo9.pos_y=random(screen_size.y-220);
					photo9.alpha=0;

	photo10.scale_x=6;
	photo10.scale_y=6;
	photo10.pos_x=256+random(screen_size.x-526);
		photo10.pos_y=random(screen_size.y-220);
					photo10.alpha=0;

	photo11.scale_x=6;
	photo11.scale_y=6;
	photo11.pos_x=256+random(screen_size.x-526);
		photo11.pos_y=random(screen_size.y-220);
					photo11.alpha=0;

	photo12.scale_x=6;
	photo12.scale_y=6;
	photo12.pos_x=256+random(screen_size.x-526);
		photo12.pos_y=random(screen_size.y-220);
					photo12.alpha=0;
		if(menu_buttons.visible==off) && (statistik_text.visible==off)
		{
			return;
		}
		photo1.visible=on;
		
		while(photo1.scale_x>1)
		{
			photo1.alpha+=3.8*time;
			photo1.scale_x-=0.2*time;
			photo1.scale_y-=0.2*time;
			wait(1);
		}
		photo1.scale_x=1;
		photo1.scale_y=1;
		sleep(6);
				if(menu_buttons.visible==off) && (statistik_text.visible==off)
		{
			return;
		}
				photo2.visible=on;
		
		while(photo2.scale_x>1)
		{
			photo2.alpha+=3.8*time;
			photo2.scale_x-=0.2*time;
			photo2.scale_y-=0.2*time;
			wait(1);
		}
		photo2.scale_x=1;
		photo2.scale_y=1;
		sleep(6);
				if(menu_buttons.visible==off) && (statistik_text.visible==off)
		{
			return;
		}
						photo3.visible=on;
		
		while(photo3.scale_x>1)
		{
			photo3.alpha+=3.8*time;
			photo3.scale_x-=0.2*time;
			photo3.scale_y-=0.2*time;
			wait(1);
		}
		photo3.scale_x=1;
		photo3.scale_y=1;
		sleep(6);
				if(menu_buttons.visible==off) && (statistik_text.visible==off)
		{
			return;
		}
						photo4.visible=on;
		
		while(photo4.scale_x>1)
		{
			photo4.alpha+=3.8*time;
			photo4.scale_x-=0.2*time;
			photo4.scale_y-=0.2*time;
			wait(1);
		}
		photo4.scale_x=1;
		photo4.scale_y=1;
		sleep(6);
				if(menu_buttons.visible==off) && (statistik_text.visible==off)
		{
			return;
		}
								photo5.visible=on;
		
		while(photo5.scale_x>1)
		{
			photo5.alpha+=3.8*time;
			photo5.scale_x-=0.2*time;
			photo5.scale_y-=0.2*time;
			wait(1);
		}
		photo5.scale_x=1;
		photo5.scale_y=1;
		sleep(6);
				if(menu_buttons.visible==off) && (statistik_text.visible==off)
		{
			return;
		}
						photo6.visible=on;
		
		while(photo6.scale_x>1)
		{
			photo6.alpha+=3.8*time;
			photo6.scale_x-=0.2*time;
			photo6.scale_y-=0.2*time;
			wait(1);
		}
		photo6.scale_x=1;
		photo6.scale_y=1;
		sleep(6);
				if(menu_buttons.visible==off) && (statistik_text.visible==off)
		{
			return;
		}
								photo7.visible=on;
		
		while(photo7.scale_x>1)
		{
			photo7.alpha+=3.8*time;
			photo7.scale_x-=0.2*time;
			photo7.scale_y-=0.2*time;
			wait(1);
		}
		photo7.scale_x=1;
		photo7.scale_y=1;
		sleep(6);
				if(menu_buttons.visible==off) && (statistik_text.visible==off)
		{
			return;
		}
						photo8.visible=on;
		
		while(photo8.scale_x>1)
		{
			photo8.alpha+=3.8*time;
			photo8.scale_x-=0.2*time;
			photo8.scale_y-=0.2*time;
			wait(1);
		}
		photo8.scale_x=1;
		photo8.scale_y=1;
		sleep(6);
				if(menu_buttons.visible==off) && (statistik_text.visible==off)
		{
			return;
		}
								photo9.visible=on;
		
		while(photo9.scale_x>1)
		{
			photo9.alpha+=3.8*time;
			photo9.scale_x-=0.2*time;
			photo9.scale_y-=0.2*time;
			wait(1);
		}
		photo9.scale_x=1;
		photo9.scale_y=1;
		sleep(6);
				if(menu_buttons.visible==off) && (statistik_text.visible==off)
		{
			return;
		}
						photo10.visible=on;
		
		while(photo10.scale_x>1)
		{
			photo10.alpha+=3.8*time;
			photo10.scale_x-=0.2*time;
			photo10.scale_y-=0.2*time;
			wait(1);
		}
		photo10.scale_x=1;
		photo10.scale_y=1;
		sleep(6);
				if(menu_buttons.visible==off) && (statistik_text.visible==off)
		{
			return;
		}
								photo11.visible=on;
		
		while(photo11.scale_x>1)
		{
			photo11.alpha+=3.8*time;
			photo11.scale_x-=0.2*time;
			photo11.scale_y-=0.2*time;
			wait(1);
		}
		photo11.scale_x=1;
		photo11.scale_y=1;
		sleep(6);
				if(menu_buttons.visible==off) && (statistik_text.visible==off)
		{
			return;
		}
						photo12.visible=on;
		
		while(photo12.scale_x>1)
		{
			photo12.alpha+=3.8*time;
			photo12.scale_x-=0.2*time;
			photo12.scale_y-=0.2*time;
			wait(1);
		}
		photo12.scale_x=1;
		photo12.scale_y=1;
		sleep(6);
		while(photo12.alpha>0)
		{
			photo12.alpha-=1*time;
			wait(1);
		}
				while(photo11.alpha>0)
		{
			photo11.alpha-=1*time;
			wait(1);
		}
				while(photo10.alpha>0)
		{
			photo10.alpha-=1*time;
			wait(1);
		}
				while(photo9.alpha>0)
		{
			photo9.alpha-=1*time;
			wait(1);
		}
				while(photo8.alpha>0)
		{
			photo8.alpha-=1*time;
			wait(1);
		}
				while(photo7.alpha>0)
		{
			photo7.alpha-=1*time;
			wait(1);
		}
				while(photo6.alpha>0)
		{
			photo6.alpha-=1*time;
			wait(1);
		}
				while(photo5.alpha>0)
		{
			photo5.alpha-=1*time;
			wait(1);
		}
				while(photo4.alpha>0)
		{
			photo4.alpha-=1*time;
			wait(1);
		}
				while(photo3.alpha>0)
		{
			photo3.alpha-=1*time;
			wait(1);
		}
				while(photo2.alpha>0)
		{
			photo2.alpha-=1*time;
			wait(1);
		}
				while(photo1.alpha>0)
		{
			photo1.alpha-=1*time;
			wait(1);
		}
	}
}



entity* change_dummy;
bmap arrow="ARROW.tga";

var current_level=1;
string Level1="Level1.wmb";
string Level2="Level2.wmb";
string Level3="Level3.wmb";
string Level4="Level4.wmb";
string Level5="Level5.wmb";
string Level6="Level6.wmb";
string Level7="Level7.wmb";
string Level8="Level8.wmb";
string Level9="Level9.wmb";
string Level10="Level10.wmb";
string Level11="Level11.wmb";
string Level12="Level12.wmb";
string Level13="Level13.wmb";
string Level14="Level14.wmb";
string Level15="Level15.wmb";
string Level16="Level16.wmb";
string Level17="Level17.wmb";
string Level18="Level18.wmb";
string Level19="Level19.wmb";
string Level20="Level20.wmb";
string Level21="Level21.wmb";
string Level22="Level22.wmb";
string Level23="Level23.wmb";
string Level24="Level24.wmb";
string Level25="Level25.wmb";
string Level26="Level26.wmb";
string Level27="Level27.wmb";
string Level28="Level28.wmb";
string Level29="Level29.wmb";
string Level30="Level30.wmb";
string Level31="Level31.wmb";
string Level32="Level32.wmb";
string Level33="Level33.wmb";
string Level34="Level34.wmb";
string Level35="Level35.wmb";
string Level36="Level36.wmb";
string Level37="Level37.wmb";
string Level38="Level38.wmb";
string Level39="Level39.wmb";
string Level40="Level40.wmb";
var geometry=1;
string generator_dummy="Bounci.mdl";
var ball_art=2;
bmap slider_bg=<Slider_bg.tga>;
bmap slider=<slider.pcx>;
var mouse_reaction=5.15;

panel new_minigame
{
	bmap="NewGame.pcx";
	flags=overlay;
}

panel mouse_slider
{
	flags=overlay;
	layer=5;
		hslider=20,236,260,slider,1,30,mouse_reaction;
	digits=300,235,1.1,small,0.2,mouse_reaction;
}
function close_graphic();
sky clouds
{

type=<clouds.pcx>;
scale_x=0.25;
flags=visible,scene;
tilt=-90;
}
string pw_string="gka6-w4h7-3zuf-8245";
string pw_s="                              ";
string pw_s_alt="                             ";
text pw
{
	blue=0;
	green=0;
	font=small;
	strings=2;
	string="Bitte Passwort eingeben:",pw_s;
}
text pw2
{
	blue=0;
	green=0;
	font=small;
	string="berprfen...";
}
text pw3
{
	blue=0;
	green=0;
	font=small;
	string="Das Passwort ist falsch! Drcke ESC, um das Spiel zu beenden!";
}
text pw4
{
	blue=0;
	green=0;
	font=small;
	string="Das Passwort ist gltig! Vielen Dank fr den Erwerb von Bounci XDream 2.
	Eingabetaste drcken, um fortzufahren...";
}
function menu();
function exit_game();
var pw_ok=0;
bmap yes_r="yes_r.pcx";
bmap no_r="no_r.pcx";

panel tut_ask
{
	bmap="Tutorial.pcx";
	button=172,290,yes_r,yes_r,yes_r,load_tut,null,beep_button;
	button=165,325,no_r,no_r,no_r,menu,null,beep_button;
	layer=10;
}
string tut_string1="
Willkommen zum Bounci-Tutorial!
Dieses Tutorial wird dir helfen,
das Spiel richtig bedienen zu knnen.

Enter-Taste drcken, um
fortzufahren...";
string tut_string2="
Mit bewegen der Maus knnen kannst du
die Kamera um die Kugel drehen.
Mit dem Mausrad kannst du
die Kamera heran- bzw. wegzoomen.
Probier es einfach aus!

Enter-Taste drcken, um
fortzufahren...";
string tut_string3="
Sehr gut! Die Kugel steuert man
mit den Pfeiltasten auf der Tastatur.
Steuere nun die Kugel entlang den
Rohren vor der Platform.

Enter-Taste drcken, um
fortzufahren...";
string tut_string4="
Super! Vor dir befindet sich eine
Umwandlungsplattform. Wenn du mit
der Kugel auf eine Umwandlungs-
plattform rollst, wird sie sich
verwandeln. Rolle nun auf die
Umwandlungsplattform vor dir.

Enter-Taste drcken, um
fortzufahren...";
string tut_string5="
Deine Kugel ist nun aus Stein.
be dich nun ein bisschen
mit der Steinkugel!

Enter-Taste drcken, um
fortzufahren...";
string tut_string6="
Nun bist du bereit fr Bounci! Also,
zeig, was du drauf hast!

Enter-Taste drcken, um
fortzufahren...";
text tut_text
{
	font=credits_font;
	layer=2;
	string=tut_string1;
}
entity* check_tut;
action tutorial_check1
{
	check_tut=me;
	my.invisible=on;
	my.passable=on;
	wait(20);
	while(vec_dist(my.x,bounci_ball.x)>150)
	{
		wait(1);
	}
	my.skill1=1;
}
function load_tut()
{

	load_level="Tutorial.wmb";
	current_level=-1;
	mouse_mode=0;
	tut_ask.visible=off;
	tut_text.pos_x=screen_size.x/2-150;
	tut_text.pos_y=screen_size.y/2-170;
	tut_text.visible=on;
		freeze_mode=0;
		media_play("Blubb.wav",null,100);

wait(5);
freeze_mode=1;
	while(key_enter==0)
	{
		wait(1);
	}
	tut_text.string=tut_string2;
			media_play("Blubb.wav",null,100);

sleep(1);
	freeze_mode=1;

	while(key_enter==0)
	{
		wait(1);
	}
	freeze_mode=0;
	tut_text.visible=off;
	wait(1);
	freeze_mode=1;
	sleep(3);
			media_play("Blubb.wav",null,100);

	tut_text.string=tut_string3;
	tut_text.visible=on;
	freeze_mode=1;
		while(key_enter==0)
	{
		wait(1);
	}
	freeze_mode=0;
	tut_text.visible=off;
	while(check_tut.skill1!=1)
	{
		wait(1);
	}
	freeze_mode=1;
			media_play("Blubb.wav",null,100);

	tut_text.string=tut_string4;
	tut_text.visible=on;
	while(key_enter==0)
	{
		wait(1);
	}
	tut_text.visible=off;
	freeze_mode=0;
	while(ball_art!=1)
	{
		wait(1);
	}
	sleep(4);
		tut_text.string=tut_string5;
	tut_text.visible=on;
	freeze_mode=1;
			media_play("Blubb.wav",null,100);
	while(key_enter==0)
	{
		wait(1);
	}
		freeze_mode=0;
		tut_text.visible=off;
sleep(15);
			freeze_mode=1;
						media_play("Blubb.wav",null,100);

		tut_text.string=tut_string6;
	tut_text.visible=on;
	while(key_enter==0)
	{
		wait(1);
	}
	tut_text.visible=off;
	menu();
}
function show_tut_ask()
{
	tut_ask.visible=on;
	tut_ask.pos_x=screen_size.x/2-200;
	tut_ask.pos_y=screen_size.y/2-180;
	mouse_mode=2;
	mouse_map=arrow;
	while(tut_ask.visible==on)
	{
		   MOUSE_POS.X = POINTER.X;
    MOUSE_POS.Y = POINTER.Y;
	
		wait(1);
		
		}
}
function password()
{
	if(first_game_start==1)
	{
	pw_ok=0;
	wait(5);
}
else
{
	pw_ok=1;
	menu();
	return;
}
	pw.pos_x=screen_size.x/2-180;
pw.pos_y=screen_size.y/2-120;
	pw2.pos_x=screen_size.x/2-180;
pw2.pos_y=screen_size.y/2-88;
	pw3.pos_x=screen_size.x/2-180;
pw3.pos_y=screen_size.y/2-72;
	pw4.pos_x=screen_size.x/2-180;
pw4.pos_y=screen_size.y/2-72;
						on_esc=menu;
	freeze_mode=1;
	pw.visible=on;
	inkey(pw_s);
		if(result==13)
		{
pw_ok=0;
str_cpy(pw_s_alt,pw_s);
			pw2.visible=on;
str_cpy(pw_s,"");
sleep(2);
str_cpy(pw_s,"*");
sleep(0.1);
str_cpy(pw_s,"**");
sleep(0.1);
str_cpy(pw_s,"***");
sleep(0.1);
str_cpy(pw_s,"****");
sleep(0.1);
str_cpy(pw_s,"*****");
sleep(0.1);
str_cpy(pw_s,"******");
sleep(0.1);
str_cpy(pw_s,"*******");
sleep(0.1);
str_cpy(pw_s,"********");
sleep(0.1);
str_cpy(pw_s,"*********");
sleep(0.1);
str_cpy(pw_s,"**********");
sleep(0.1);
str_cpy(pw_s,"***********");
sleep(0.1);
str_cpy(pw_s,"************");
sleep(0.1);
str_cpy(pw_s,"*************");
sleep(0.1);
str_cpy(pw_s,"**************");
sleep(0.1);
str_cpy(pw_s,"***************");
sleep(0.1);
str_cpy(pw_s,"****************");
sleep(0.1);
str_cpy(pw_s,"*****************");
sleep(0.1);
str_cpy(pw_s,"******************");
sleep(0.1);
str_cpy(pw_s,"*******************");
sleep(0.1);
str_cpy(pw_s,"********************");
					if(str_cmpi(pw_string,pw_s_alt)==1)
		{
						pw_ok=1;

pw.visible=off;
pw2.visible=off;
pw4.visible=off;
wait(5);
	first_game_start=0;
show_tut_ask();
			return;
		}
		else
		{
			pw3.visible=on;
									pw_ok=0;
			while(key_esc==0)
			{
				wait(1);
			}
			menu();

		}
		}
		else
		{
									pw_ok=0;

			
		}
						menu();

}

var visible_now=0;
var video_depth=32;
var video_screen=1;

bmap 600=<600.pcx>;
bmap 800=<800.pcx>;
bmap 1024=<1024.pcx>;
bmap 1280=<1280.pcx>;
bmap 600_r=<600_r.pcx>;
bmap 800_r=<800_r.pcx>;
bmap 1024_r=<1024_r.pcx>;
bmap 1280_r=<1280_r.pcx>;
var mouse_usable=0;

function set_view();

var video_res=6;

function res_600()
{
	video_switch(6,0,0);
		video_res=6;

					game_save("save",1,sv_vars);
}
function res_800()
{
	video_switch(7,0,0);
	video_res=7;

					game_save("save",1,sv_vars);
}
function res_1024()
{
	video_switch(8,0,0);
	video_res=8;

					game_save("save",1,sv_vars);
}
function res_1280()
{
	video_switch(9,0,0);
	video_res=9;

					game_save("save",1,sv_vars);
}
bmap steering=<camart.pcx>;
panel resolution
{
	flags=overlay;
	layer=2;

	bmap=<Resolution.pcx>;

}
}
var steering_art=1;
function alternative_no()
{
	if(alternative_cam==1)
	{
				mouse_slider.visible=on;

	media_play("wham.wav",null,100);
alternative_cam=0;
	game_save("save",1,sv_vars);
}
}
function alternative_yes()
{
	if(alternative_cam==0)
	{
		mouse_slider.visible=off;
	media_play("wham.wav",null,100);
alternative_cam=1;
	game_save("save",1,sv_vars);
}
}
bmap standard=<standart.pcx>;
bmap standard_r=<standart_r.pcx>;
bmap classic=<classic.pcx>;
bmap classic_r=<classic_r.pcx>;
bmap ok="OK.pcx";
bmap ok_r="Ok_r.pcx";
bmap mouse_e=<Mouse_e.pcx>;
bmap enlarge=<enlarge.pcx>;
bmap enlarge_r=<enlarge_r.pcx>;

bmap Bounci_steering="Bounci_steering.pcx";
bmap arrows="Arrows.pcx";
bmap arrows_r="Arrows_r.pcx";
bmap WASD="WASD.pcx";
bmap WASD_r="WASD_r.pcx";
function set_wasd()
{
	if(bounci_keys==1)
	{
		bounci_keys=2;
		media_play("wham.wav",null,100);
		game_save("save",1,sv_vars);
	}
}
function set_arrows()
{
	if(bounci_keys==2)
	{
		bounci_keys=1;
		media_play("wham.wav",null,100);
		game_save("save",1,sv_vars);
	}
}
panel resolution2
{
	flags=overlay;
	layer=3;
	button=0,0,600_r,600,600_r,res_600,null,beep_button;
	button=0,42,800_r,800,800_r,res_800,null,beep_button;
	button=0,84,1024_r,1024,1024_r,res_1024,null,beep_button;
	button=0,126,1280_r,1280,1280_r,res_1280,null,beep_button;
	button=-100,346,enlarge_r,enlarge,enlarge_r,graphic_settings,null,beep_button;
	button=10,376,ok_r,ok,ok_r,menu,null,beep_button;
}
panel cam_art
{

	flags=overlay;
	layer=4;


		button=10,192,standard_r,standard,standard_r,alternative_no,null,beep_button;
	button=130,192,classic_R,classic,classic_r,alternative_yes,null,beep_button;
	button=-220,236,mouse_e,mouse_e,mouse_e,null,null,null;
	button=0,236,slider_bg,slider_bg,slider_bg,null,null,null;
					button=-250,149,Bounci_steering,Bounci_steering,Bounci_steering,null,null,null;
				button=130,148,arrows_r,arrows,arrows_r,set_arrows,null,beep_button;
			button=10,148,WASD_r,WASD,WASD_r,set_wasd,null,beep_button;

			button=-180,190,steering,steering,steering,null,null,null;
}

bmap Credits_n="Credits.pcx";
bmap Credits_r="Credits_r.pcx";
bmap statistik_b="statistik.pcx";
bmap statistik_b_r="statistik_r.pcx";
function menu();
panel ok_credits
{
	layer=20;
	flags=overlay;
	button=0,0,ok_r,ok,ok_r,menu,null,beep_button;
}
panel credits
{
	layer=20;
	flags=overlay;
	button=0,0,credits_r,credits_n,credits_r,show_credits,null,beep_button;
	button=-120,-3,statistik_b_r,statistik_b,statistik_b_r,statistik,null,beep_button;
}
text credits_text
{
	layer=10;
	font=credits_font;
	string="Levels:\n	
	Michael Hahn\n
	Torsten Simon\n\n\n
	
	Programmierung:\n	
	Torsten Simon\n\n\n
	
	Grafik & Design:\n	
	Michael Hahn\n
	Torsten Simon\n
	Johann Ulbrich\n\n\n
	
	Idee:\n	
	Torsten Simon\n\n\n
	
	Tester:\n	
	Andreas Kromer\n
	Johann Mller\n
	Marcel Alberti\n\n\n
	
	Besonderen Dank an:\n	
	Johann Ulbrich\n
	Jan Kuhr\n
	Lukas Maier\n\n\n\n
	
	
	http://www.TSGames.de\n
	http://hahnspiele.de";
}
text only_demo
{
	layer=3000;
//	green=0;
//	blue=0;
	font=small;
	flags=visible;
	pos_x=100;
	pos_y=5;
	string="Bounci XDream 2, by Hahnspiele & TSGames.\nJust a demo.";
}
text game_from
{
	layer=10;
	font=credits_font;
	string="Ein Spiel von";
	flags=transparent;
	alpha=0;
}
text in_association
{
	layer=10;
	font=credits_font;
	string="In Zusammenarbeit mit";
	flags=transparent;
	alpha=0;
}
panel black
{
	layer=1;
	bmap=<black.pcx>;
	scale_x=5;
	scale_y=5;
}
bmap video_bmp="No.pcx";
panel video_pa
{
	layer=5;
	bmap=video_bmp;

}
function show_credits()
{
	if(black.visible==off)
	{
		black.transparent=on;
		black.visible=on;
		black.alpha=0;
		while(black.alpha<100)
		{
			black.alpha+=4*time;
			wait(1);
		}
	}
	photo1.visible=off;
	photo2.visible=off;
	photo3.visible=off;
	photo4.visible=off;
	photo5.visible=off;
	photo6.visible=off;
	photo7.visible=off;
	photo8.visible=off;
	photo9.visible=off;
	photo10.visible=off;
	photo11.visible=off;
	photo12.visible=off;
			game_from.pos_x=screen_size.x/2-70;
		game_from.pos_y=screen_size.y/2-140;
		in_association.pos_x=screen_size.x/2-120;
		in_association.pos_y=screen_size.y/2-140;
		video_pa.pos_x=screen_size.x/2-170;
		video_pa.pos_y=screen_size.y/2-110;
	mouse_map=arrow;
	mouse_mode=2;
		on_enter=menu;
	on_esc=menu;

	menu_buttons.visible=off;
	credits_text.visible=on;
	credits.visible=off;
	ok_credits.visible=on;
	credits_text.pos_y=screen_size.y;
			ok_credits.pos_x=screen_size.x-60;
		ok_credits.pos_y=screen_size.y-30;
	game_from.visible=on;
	while(game_from.alpha<50)
	{
		game_from.alpha+=3*time;
		wait(1);
	}
			media_play("TSGames.wmv",video_bmp,0);

			video_pa.visible=on;
			wait(3);
while(game_from.alpha<100)
{
	game_from.alpha+=3*time;
	wait(1);
}
	if(ok_credits.visible==off)
	{
		return;
	}
	sleep(9);
	while(game_from.alpha>0)
	{
		game_from.alpha-=3*time;
		wait(1);
	}
	sleep(5);
		media_stop(0);
video_pa.visible=off;
			if(ok_credits.visible==off)
	{
		return;
	}
	game_from.visible=off;
			if(ok_credits.visible==off)
	{
		return;
	}
	in_association.alpha=0;
		in_association.visible=on;
		while(in_association.alpha<100)
	{
		in_association.alpha+=3*time;
		wait(1);
	}
	sleep(1);
			if(ok_credits.visible==off)
	{
		return;
	}
			if(ok_credits.visible==off)
	{
		return;
	}
	while(ok_credits.visible==on)
	{
		in_association.alpha-=0.6*time;
		ok_credits.pos_x=screen_size.x-60;
		ok_credits.pos_y=screen_size.y-30;
		credits_text.pos_x=screen_size.x/2-90;
		credits_text.pos_y-=2*time;
		if(credits_text.pos_y<-1560)
		{
				credits_text.pos_y=screen_size.y;

		}
		wait(1);
	}
}


function level1_load();
//var stencil_shadow=on;
var bounci_skin=1;
function change_skin1()
{
	bounci_skin=1;
	sleep(1);
	bounci_ball.skin=1;
}
function change_skin2()
{
	bounci_skin=2;
	sleep(1);
	bounci_ball.skin=2;
}
var speed1;
var speed2;
var result1;
var result2;
var complete_result;
function check_speed()
{
	while(1)
	{
		speed1=bounci_ball.x;
		sleep(0.2);
		speed2=bounci_ball.x;
		result2=speed2-bounci_ball.y;
		complete_result=result1+result2;
	}
}
var debugging=0;
var finish_now=0;


function move_cam_down()
{
	while(1)
	{
/*		if(bounci_ball.z<-200)
		{
			if(camera.tilt>-90)
			{
			camera.tilt-=4*time;
			clouds.tilt-=4*time;
		}
			camera.pan+=6*time;
		}
		else
		{
		
			if(finish_now==0)
			{	clouds.tilt=-90;
			
	//	camera.tilt=-30;
	}
		}*/
wait(1);
	}
}
function finish_game()
{
	finish_now=1;
	bounci_ball.x=100000;
	while(camera.z<2500)
	{
		camera.pan=0;
		if(camera.y<-5000)
		{
			camera.y+=35*time;
		}
		if(camera.z<2600)
		{
			camera.z+=13*time;
		}
		if(camera.tilt>-80)
		{
			camera.tilt-=0.4*time;
			clouds.tilt-=0.4*time;
		}
		wait(1);
	}
sleep(3);

show_credits();
}
var dont_count=0;
var saved_x;
sound Roll_wav="Roll.wav";
var saved_y;
var saved_z;
var sound_roll;
var beta_sounds=0;
function roll_sound()
{
	sound_roll=media_loop("Roll.wav",null,0);
	while(1)
	{
		if(beta_sounds==1)
		{
		saved_x=bounci_ball.x;
		saved_y=bounci_ball.y;
		wait(1);
		
		if(saved_x>bounci_ball.x)
		{
			saved_z+=saved_x-bounci_ball.x;
		}
		else
		{
			saved_z+=-saved_x+bounci_ball.x;
		}
		if(saved_y>bounci_ball.y)
		{
			saved_z+=saved_y-bounci_ball.y;
		}
		else
		{
			saved_z+=-saved_y+bounci_ball.y;
		}
		if(c_trace(bounci_ball.x,vector(0,0,-10000),ignore_me)<150) && (c_trace(bounci_ball.x,vector(0,0,-10000),ignore_me)!=0)
		{
			saved_z=saved_z*50;
	}
	else
	{
		saved_z=0;
	}
	if(saved_z==0)
	{
		saved_z=0.1;
	}
					media_tune(sound_roll,saved_z*1.5,saved_z*300+35,0);
}
					wait(1);
	saved_z=0;
	}
}

action bounci
{

if(debugging==1)
{
	watched=me;
}
if(geometry==0)
{
	ent_morph(me,"bounci_low.mdl");
}
		phent_settype (my, ph_rigid, ph_sphere); // he's a sphere-like physics object
	phent_setmass (my, 7, ph_sphere);//he weight 7 Kg
	phent_setfriction(my,60);
		phent_setdamping (my, 20, 20); // damping
	phent_setelasticity (my, 60, 15); // bounciness
	my.metal=on;
//	my.shadow=on;
	bounci_ball = my; // This model is Bounci
//	my.scale_x = 4.5; // his scale is set to 4.5
//	my.scale_y = my.scale_x;
//	my.scale_z = my.scale_x;	
Roll_sound();
while(1)
{

	if(ball_art==2) && (bounci_skin!=1)
	{
			my.material=mat_bounci;

		phent_setmass (my, 7, ph_sphere);//he weight 7 Kg
	phent_setfriction(my,60);
		phent_setdamping (my, 20, 20); // damping
	phent_setelasticity (my, 60, 15); // bounciness
	change_skin1();
	}
	if(ball_art==1) && (bounci_skin!=2)
	{
			my.material=mat_stone;

		phent_setmass (my, 15, ph_sphere);//he weight 15 Kg
	phent_setfriction(my,40);
		phent_setdamping (my, 22, 22); // damping
	phent_setelasticity (my, 40, 25); // bounciness
change_skin2();
}
	if(my.z<-200)
	{
		runtergefallen+=1;

		camera.z=100;
		sleep(2);
pan2=400;		
if(current_level!=0)
		{
			ball_art=2;
		}

		if(current_level==1)
		{
		level1_load();
		}
									if(current_level==6)
		{
		level6_load();
		}
																if(current_level==12)
		{
		level12_load();
		}
																if(current_level==13)
		{
		level13_load();
		}

																		if(current_level==21)
		{
		level21_load();
		}
																		if(current_level==22)
		{
		level22_load();
		}
																		if(current_level==25)
		{
		level25_load();
		}
		if(current_level==37)
		{
		level37_load();
		}		if(current_level==38)
		{
		level38_load();
		}		if(current_level==39)
		{
		level39_load();
		}
		if(current_level==42)
		{
			phent_setmaxspeed(me,1,1);
			wait(5);
my.x=-748;
my.y=-2674;
my.z=1524;
		}
			if(current_level==44)
		{
						phent_setmaxspeed(me,1,1);
wait(5);
my.x=-748;
my.y=-2674;
my.z=1524;		}
	}
		if(visible_now==0) && (finish_now==0)
		{
					vec_set (temp, nullvector);
phent_setmaxspeed( my, 1000000, 1000000);
if(dont_count==0)
{
	if(bounci_keys==1)
	{
	temp.x =	key_cur-key_cul;
	temp.y =	key_cuu-key_cud;
}
else
{
	temp.x=key_d-key_a;
	temp.y=key_w-key_s;
}
}
		temp.z = 0; // don't apply any force on the z axis
				vec_rotate (temp, vector(camera.pan, 0, 0)); // rotate the force along the direction that is pointed by the camera
		vec_normalize (temp, 200 * time); // limit the force that will be applied to the ball to 200; make it time-corrected as well
		phent_addtorqueglobal (my, temp); // add the angular force to the ball (make it rotate)
	}
else
{
my.x=change_dummy.x;
my.y=change_dummy.y;
my.z=change_dummy.z+40;
		temp.x = 0;
		temp.y = 0;
		temp.z = 0; // don't apply any force on the z axis
		phent_setmaxspeed( my, 1, 1);
	
}
		wait (1);

}

}

}
var no_level_open=0;
panel pause_pan
{
	bmap=Pause.pcx;
	flags=overlay;
}
function set_pause()
{
	while(1)
	{
		pause_pan.pos_x=screen_size.x-94;
		pause_pan.pos_y=45;
		wait(1);
	}
}
function pause();
function show_pause()
{
	set_pause();
	while(1)
	{
		if(bounci_ball.z<-200)
		{
			freeze_mode=0;
			on_p=pause;
			time_factor=1;
		}
		if(menu_buttons.visible==on)
		{
			pause_pan.visible=off;
			time_factor=1;
			return;
		}
		if(time_factor==0.99)
		{
			pause_pan.visible=on;
			sleep(1);
			pause_pan.visible=off;
			sleep(1);
		}
		else
		{
			pause_pan.visible=off;
		}
		wait(1);
	}
}

function pause()
{
	if(bounci_ball.z>-200) && (no_level_open==1)
	{
		show_pause();
	if(time_factor>=1)
	{
		on_p=null;
		on_ctrl=null;
		media_play("freeze_in.wav",null,100);
	while(time_factor>0.1)
	{
		time_factor-=0.3*time;
		wait(1);
	}
time_factor=0.99;
wait(1);
freeze_mode=1;
sleep(0.5);
		on_p=pause;
		on_ctrl=pause;


return;
}
else
{
	freeze_mode=0;
	on_p=null;
			on_ctrl=null;

	media_play("freeze_out.wav",null,100);
	time_factor=0;
	while(time_factor<1)
	{
		time_factor+=0.5*time;
		wait(1);
	}
	time_factor=1;
	sleep(1);
		on_p=pause;
		on_ctrl=pause;

	
}
}
}
on_ctrl=pause;
on_p=pause;

entity* door1;
action door_fall_act
{
	door1=me;
}
function door_fall_func()
{
	while(door1.z>-800)
	{
	door1.z-=40*time;
	
wait(1);
}
}
action button_door
{
	my.passable=on;
	while(vec_dist(my.x,bounci_ball.x)>70)
	{
		wait(1);
	}
	my.z-=5;
	door_fall_func();
}


var level=1;
action finish1
{
	  Blue_Fire();

	 my.invisible = on;
  My.passable = on;
	while(1)
	{
		if(vec_dist(my.x,bounci_ball.x)<70) && (menu_open==0)
		{
			if(level<6)
			{
			  level=6;
		}
				game_save("save",1,sv_vars);
level6_load(); 
		}
		wait(1);
	}

}

action finish6
{
	  Blue_Fire();

	 my.invisible = on;
  My.passable = on;
	while(1)
	{
		if(vec_dist(my.x,bounci_ball.x)<70) && (menu_open==0)
		{
			if(level<12)
			{
			  level=12;
		}
				game_save("save",1,sv_vars);
level12_load(); 
 
		}
		wait(1);
	}

}
action finish12
{
	  Blue_Fire();

	 my.invisible = on;
  My.passable = on;
	while(1)
	{
		if(vec_dist(my.x,bounci_ball.x)<70) && (menu_open==0)
		{
			if(level<13)
			{
			  level=13;
		}
				game_save("save",1,sv_vars);
level13_load(); 
		}
		wait(1);
	}

}
action finish13
{
	  Blue_Fire();

	 my.invisible = on;
  My.passable = on;
	while(1)
	{
		if(vec_dist(my.x,bounci_ball.x)<70) && (menu_open==0)
		{
			if(level<21)
			{
			  level=21;
		}
				game_save("save",1,sv_vars);
level21_load(); 
		}
		wait(1);
	}

}
var show_minigame=0;

}
action finish21
{
	  Blue_Fire();

	 my.invisible = on;
  My.passable = on;
	while(1)
	{
		if(vec_dist(my.x,bounci_ball.x)<70) && (menu_open==0)
		{
			if(level<22)
			{
			  level=22;
		}
				game_save("save",1,sv_vars);
level22_load(); 
		}
		wait(1);
	}

}
action finish22
{
	  Blue_Fire();

	 my.invisible = on;
  My.passable = on;
	while(1)
	{
		if(vec_dist(my.x,bounci_ball.x)<70) && (menu_open==0)
		{
			if(level<25)
			{
			  level=25;
		}
				game_save("save",1,sv_vars);
level25_load(); 
		}
		wait(1);
	}

}

action finish25
{
	  Blue_Fire();

	 my.invisible = on;
  My.passable = on;
	while(1)
	{
		if(vec_dist(my.x,bounci_ball.x)<70) && (menu_open==0)
		{
			if(level<37)
			{
			  level=37;
		}
				game_save("save",1,sv_vars);
Level37_load(); 
		}
		wait(1);
	}

}

}
action finish37
{
	  Blue_Fire();

	 my.invisible = on;
  My.passable = on;
	while(1)
	{
		if(vec_dist(my.x,bounci_ball.x)<70) && (menu_open==0)
		{
			if(level<38)
			{
			  level=38;
		}
				game_save("save",1,sv_vars);
Level38_load(); 
		}
		wait(1);
	}

}
action finish38
{
	  Blue_Fire();

	 my.invisible = on;
  My.passable = on;
	while(1)
	{
		if(vec_dist(my.x,bounci_ball.x)<70) && (menu_open==0)
		{
			if(level<39)
			{
			  level=39;
		}
				game_save("save",1,sv_vars);
Level39_load(); 
		}
		wait(1);
	}

}
action finish39
{
	  Blue_Fire();

	 my.invisible = on;
  My.passable = on;
	while(1)
	{
		if(vec_dist(my.x,bounci_ball.x)<70) && (menu_open==0)
		{
			if(level<39)
			{
			  level=39;
		}
				game_save("save",1,sv_vars);
finish_game();
	}
		wait(1);
	}

}

bmap level1_button=level1.pcx;
bmap level1_button_r=level1_r.pcx;
bmap level6_button=level6.pcx;
bmap level6_button_r=level6_r.pcx;
bmap level12_button=level12.pcx;
bmap level12_button_r=level12_r.pcx;
bmap level13_button=level13.pcx;
bmap level13_button_r=level13_r.pcx;
bmap level21_button=level21.pcx;
bmap level21_button_r=level21_r.pcx;
bmap level22_button=level22.pcx;
bmap level22_button_r=level22_r.pcx;
bmap level25_button=level25.pcx;
bmap level25_button_r=level25_r.pcx;
bmap level37_button=level37.pcx;
bmap level37_button_r=level37_r.pcx;
bmap level38_button=level38.pcx;
bmap level38_button_r=level38_r.pcx;
bmap level39_button=level39.pcx;
bmap level39_button_r=level39_r.pcx;


panel level_buttons
{
	layer=2;
flags=overlay;
button=180,10,level1_button_r,level1_button,level1_button_r,Level1_load,null,beep_button;
button=180,42,level6_button_r,level6_button,level6_button_r,Level6_load,null,beep_button;
button=180,74,level12_button_r,level12_button,level12_button_r,Level12_load,null,beep_button;
button=180,106,level13_button_r,level13_button,level13_button_r,Level13_load,null,beep_button;
button=180,138,level21_button_r,level21_button,level21_button_r,Level21_load,null,beep_button;
button=180,170,level22_button_r,level22_button,level22_button_r,Level22_load,null,beep_button;
button=180,202,level25_button_r,level25_button,level25_button_r,Level25_load,null,beep_button;
button=180,234,level37_button_r,level37_button,level37_button_r,Level37_load,null,beep_button;
button=180,266,level38_button_r,level38_button,level38_button_r,Level38_load,null,beep_button;
button=180,298,level39_button_r,level39_button,level39_button_r,Level39_load,null,beep_button;
}

string console_info="Bounci XDream 2 Retail 1.0 Console";
string console_str = "                                               ";
text console_text
{
	red=255;
	green=0;
	blue=0;
	strings = 5;
	layer=20;
	pos_x=00;
	pos_y=50;
	string=console_info, console_str;
	font=small;
}
text Warning_console
{
	red=255;
	green=0;
	blue=0;
	layer=20;
	pos_x=00;
	pos_y=80;
	string="Vorsicht! Falsche Eingaben knnen den Spielstand
	und/oder das Spiel beschdigen. Drcken Sie ESC, wenn Sie
	keine Eingaben ttigen mchten, andernfalls geben sie den
	Befehl ein, und drcken Enter. ";
	font=small;
}
text close_debug
{
layer=2;
		red=255;
	green=0;
	blue=0;
	pos_x=0;
	pos_y=102;
	font=small;
	string="Zuerst Eingabe\nin der Konsole\nmit Enter\nbeenden!";
}
panel text_pa
{
	bmap=<Panel.tga>;
	flags=transparent;
	alpha=70;
}


text tut_text1
{
	font=small;
	layer=3;
	string="
Hallo und Willkommen zu Bounci XDream!
In diesem Tutorial wirst du lernen, wie du das
Spiel richtig spielst.
Bewegen tust du die Kugel mit den Pfeiltasten.
Rolle nun die Kugel zwischen die zwei Rhren
Links!
Eingabetaste, um fortzufahren...";
}
text tut_text2
{
	font=small;
	layer=3;
	string="
Super! Solche Rhren wirst du im Spiel fters
langrollen mssen. Rolle nun die Rhre weiter bis
zum Ende entlang, und bewege dich auf der
folgenden Plattform!
Eingabetaste, um fortzufahren...";
}
panel panel_level1
{
	flags=overlay;
	layer=1;
	bmap=level1_button;
}

panel panel_level6
{
	flags=overlay;
	Layer=1;
	bmap=level6_button;
}

panel panel_level12
{
	flags=overlay;
	Layer=1;
	bmap=level12_button;
}
panel panel_level13
{
	flags=overlay;
	Layer=1;
	bmap=level13_button;
}

panel panel_level21
{
	flags=overlay;
	Layer=1;
	bmap=level21_button;
}
panel panel_level22
{
	flags=overlay;
	Layer=1;
	bmap=level22_button;
}

panel panel_level25
{
	flags=overlay;
	Layer=1;
	bmap=level25_button;
}

panel panel_level37
{
	flags=overlay;
	Layer=1;
	bmap=level37_button;
}
panel panel_level38
{
	flags=overlay;
	Layer=1;
	bmap=level38_button;
}
panel panel_level39
{
	flags=overlay;
	Layer=1;
	bmap=level39_button;
}

text last_level
{
	font=credits_font;
	string"Maximal Spielbares Level: Level";
	layer=3;
	pos_x=5;
	pos_y=30;
}
var level_alt;
function set_level()
{
	while(1)
	{
		level_alt=level;
		if(level_alt>40)
		{
			level_alt=40;
		}
		wait(3);
	}
}
panel last_level_numb
{
	digits=300,30,2,credits_font,1,level_alt;
layer=3;
}
var collect_rec=0;


bmap collecting="Collecting.pcx";
bmap collecting_r="Collecting_r.pcx";
panel minigames_pan
{
	layer=15;
	button=0,-25,collecting_r,collecting,collecting_r,load_collecting,null,beep_button;
	digits=220,-31,2,small,1,collect_rec;
}

var no_video=0;
function load_standarts()

{
	level_loaded=1;
		last_level.visible=off;
	last_level_numb.visible=off;
	time_factor=1;
no_level_open=1;
	on_enter=null;
	on_mouse_left=null;
	already_played=0;
		finish_now=0;

	visible_now=0;
	//moving=0;
	no_video=1;
menu_open=0;
		ball_art=2;



}
}
function level1_load()
{

	ball_art=2;
	media_stop(0);
		on_esc=menu;
	freeze_mode=0;
	menu_buttons.visible=off;
	level_buttons.visible=off;
	mouse_mode=0;
	black.visible=off;
	current_level=1;
	load_level(level1);
	tut_text1.visible=off;
	tut_text2.visible=off;
	text_pa.visible=off;
			load_standarts();

	sleep(1);
		menu_open=0;

//	tutorial(); //Don't work correctlyy at restart
}

function level6_load()
{
	if(level>=6)
	{

			media_stop(0);
			ball_art=2;
			freeze_mode=0;
		on_esc=menu;

			menu_buttons.visible=off;
	level_buttons.visible=off;
	mouse_mode=0;
	black.visible=off;
	current_level=6;
	load_level(level6);
	tut_text1.visible=off;
	tut_text2.visible=off;
	text_pa.visible=off;
			load_standarts();

		sleep(1);

		menu_open=0;
//	tutorial(); //Don't work correctlyy at restart
}
}

function level12_load()
{
	if(level>=12)
	{

			media_stop(0);
	ball_art=2;

		freeze_mode=0;
		on_esc=menu;

			menu_buttons.visible=off;
	level_buttons.visible=off;
	mouse_mode=0;
	black.visible=off;
	current_level=12;
	load_level(level12);
	tut_text1.visible=off;
	tut_text2.visible=off;
	text_pa.visible=off;
			load_standarts();

		sleep(1);
		menu_open=0;
//	tutorial(); //Don't work correctlyy at restart
}
}
function level13_load()
{
	if(level>=13)
	{

			media_stop(0);
	ball_art=2;

			freeze_mode=0;
		on_esc=menu;

			menu_buttons.visible=off;
	level_buttons.visible=off;
	mouse_mode=0;
	black.visible=off;
	current_level=13;
	load_level(level13);
	tut_text1.visible=off;
	tut_text2.visible=off;
	text_pa.visible=off;
			load_standarts();

		sleep(1);
		menu_open=0;
//	tutorial(); //Don't work correctlyy at restart
}
}

panel time_pa
{
	layer=10;
	pos_x=10;
	pos_y=10;
	digits=0,0,2,small,1,sys_hours;
	digits=20,0,2,small,1,sys_minutes;
	digits=40,0,2,small,1,sys_seconds;
	digits=0,15,2,small,1,sys_day;
	digits=20,15,2,small,1,sys_month;
	digits=40,15,4,small,1,sys_year;
}
text time_text
{
	font=small;
	layer=10;
	pos_x=10;
	pos_y=10;
	string="    :    :
	    .    .";
}
var time_on=0;

function level21_load()
{
	if(level>=21)
	{

			media_stop(0);
	ball_art=2;

			freeze_mode=0;
		on_esc=menu;

			menu_buttons.visible=off;
	level_buttons.visible=off;
	mouse_mode=0;
	black.visible=off;
	current_level=21;
	load_level(level21);
	tut_text1.visible=off;
	tut_text2.visible=off;
	text_pa.visible=off;
			load_standarts();
if(show_minigame==1)
{
media_play("Glass.wav",null,150);
}

		sleep(1);

		menu_open=0;
//	tutorial(); //Don't work correctlyy at restart
}
}
function level22_load()
{
	if(level>=22)
	{

			media_stop(0);
	ball_art=2;

			freeze_mode=0;
		on_esc=menu;

			menu_buttons.visible=off;
	level_buttons.visible=off;
	mouse_mode=0;
	black.visible=off;
	current_level=22;
	load_level(level22);
	tut_text1.visible=off;
	tut_text2.visible=off;
	text_pa.visible=off;
			load_standarts();

		sleep(1);
		menu_open=0;
//	tutorial(); //Don't work correctlyy at restart
}
}

function level25_load()
{
	if(level>=25)
	{			

			media_stop(0);
	ball_art=2;

			freeze_mode=0;
		on_esc=menu;

			menu_buttons.visible=off;
	level_buttons.visible=off;
	mouse_mode=0;
	black.visible=off;
	current_level=25;
	load_level(level25);
	tut_text1.visible=off;
	tut_text2.visible=off;
	text_pa.visible=off;
	load_standarts();
		sleep(1);
		menu_open=0;
//	tutorial(); //Don't work correctlyy at restart
}
}

function level37_load()
{
	if(level>=37)
	{

			media_stop(0);
	ball_art=2;

			freeze_mode=0;
		on_esc=menu;

			menu_buttons.visible=off;
	level_buttons.visible=off;
	mouse_mode=0;
	black.visible=off;
	current_level=37;
	load_level(level37);
	tut_text1.visible=off;
	tut_text2.visible=off;
	text_pa.visible=off;
				load_standarts();

		sleep(1);
		menu_open=0;
//	tutorial(); //Don't work correctlyy at restart
}
}function level38_load()
{
	if(level>=38)
	{

			media_stop(0);
	ball_art=2;

			freeze_mode=0;
		on_esc=menu;

			menu_buttons.visible=off;
	level_buttons.visible=off;
	mouse_mode=0;
	black.visible=off;
	current_level=38;
	load_level(level38);
	tut_text1.visible=off;
	tut_text2.visible=off;
	text_pa.visible=off;
				load_standarts();

		sleep(1);
		menu_open=0;
//	tutorial(); //Don't work correctlyy at restart
}
}function level39_load()
{
	if(level>=39)
	{

			media_stop(0);
	ball_art=2;

			freeze_mode=0;
		on_esc=menu;

			menu_buttons.visible=off;
	level_buttons.visible=off;
	mouse_mode=0;
	black.visible=off;
	current_level=39;
	load_level(level39);
	tut_text1.visible=off;
	tut_text2.visible=off;
	text_pa.visible=off;
				load_standarts();

		sleep(1);
		menu_open=0;
//	tutorial(); //Don't work correctlyy at restart
}
}
action board1
{
	while(1)
	{
		while(my.x>-2600)
		{
			my.x-=3*time;
			wait(1);
		}
		my.x=-2600;
		sleep(1.5);
		while(my.x<-2403)
		{
			my.x+=3*time;
			wait(1);
		}
		my.x=-2403;
		sleep(3);
	}
}
action board2
{
	while(1)
	{
		while(my.y>-376)
		{
			my.y-=3*time;
			wait(1);
		}
		my.y=-376;
		sleep(1.5);
		while(my.y<-179)
		{
			my.y+=3*time;
			wait(1);
		}
		my.y=-179;
		sleep(3);
	}
}

entity* sensor1;
action reactor1
{
	sensor1=me;
	my.invisible=on;
	my.passable=on;
}
function tutorial()
{
	while(key_enter==0)
	{
		on_esc=menu;
		freeze_mode=1;
		tut_text1.visible=on;
			text_pa.visible=on;

		tut_text1.pos_x=screen_size.x/2-140;
		tut_text1.pos_y=screen_size.y-150;
				text_pa.pos_x=screen_size.x/2-150;
		text_pa.pos_y=screen_size.y-150;
		wait(1);
	}
	freeze_mode=0;
	tut_text1.visible=off;
	text_pa.visible=off;
	wait(3);
	while(vec_dist(bounci_ball.x,sensor1.x)>100)
	{
	wait(1);
	}
	while(key_enter==0)
	{
		
			freeze_mode=1;
		tut_text2.visible=on;
			text_pa.visible=on;

		tut_text2.pos_x=screen_size.x/2-140;
		tut_text2.pos_y=screen_size.y-150;
				text_pa.pos_x=screen_size.x/2-150;
		text_pa.pos_y=screen_size.y-150;
wait(1);
}
	freeze_mode=0;
	tut_text2.visible=off;
	text_pa.visible=off;
	wait(3);
}
action rotator
{
	while(1)
	{
		my.pan+=1*time;
		wait(1);
	}
}
action rotator7
{
	while(1)
	{
		my.pan-=1*time;
		wait(1);
	}
}
action rotator8
{
		my.alpha=100;
	while(1)
	{
my.tilt+=3*time;
		if(current_level==13)
		{
			if(vec_dist(my.x,camera.x)<250)
			{
							my.transparent=on;

				if(my.alpha>0)
				{
				my.alpha-=10*time;
		}
			}
			else
			{
				if(my.alpha<100)
				{
				my.alpha+=20*time;
		}
		if(my.alpha>=100)
		{
						my.transparent=off;
		}
			}
		}
		else
		{
			my.transparent=off;
		}
		wait(1);
	}
}
action rotator13
{
	while(1)
	{
my.tilt+=2*time;
		wait(1);
	}
}
action rotator9
{
	while(1)
	{
my.tilt-=3*time;
		wait(1);
	}
}
action rotator10
{
	while(1)
	{
		while(my.tilt<30)
		{
my.tilt+=1*time;
wait(1);
}
my.tilt=30;
while(my.tilt>-30)
{
	my.tilt-=1*time;
	wait(1);
}
my.tilt=-30;
		wait(1);
	}
}
action rotator11
{
	while(1)
	{
		while(my.tilt<30)
		{
my.tilt+=1*time;
wait(1);
}
my.tilt=30;
sleep(1);
while(my.tilt>-30)
{
	my.tilt-=1*time;
	wait(1);
}
my.tilt=-30;
sleep(1);
	}
}
action rotator12
{
	while(1)
	{
		while(my.tilt<30)
		{
my.tilt+=1*time;
wait(1);
}
my.tilt=30;
sleep(1);
while(my.tilt>-30)
{
	my.tilt-=1*time;
	wait(1);
}
my.tilt=-30;
sleep(3);
	}
}
action rotator14
{
	while(1)
	{
		while(my.tilt<60)
		{
my.tilt+=2*time;
wait(1);
}
my.tilt=60;
sleep(1);
while(my.tilt>-60)
{
	my.tilt-=2*time;
	wait(1);
}
my.tilt=-60;
sleep(3);
	}
}
action rotator4
{
	while(1)
	{
		my.pan-=2*time;
		wait(1);
	}
}
action rotator2
{
	while(1)
	{
		my.tilt+=0.5*time;
		wait(1);
	}
}
action rotator5
{
	while(1)
	{
		my.tilt+=1*time;
		wait(1);
	}
}
action rotator6
{
	while(1)
	{
		my.tilt-=1*time;
		wait(1);
	}
}

action rotator3
{
	while(1)
	{
		my.tilt-=0.3*time;
		wait(1);
	}
}
panel new_rec
{
	bmap="Record.pcx";
	flags=overlay;
}
panel improved
{
	bmap="improved.pcx";
	flags=overlay;
}
panel nochange
{
	bmap="nochange.pcx";
	flags=overlay;
}
panel worsen
{
	bmap="worsen.pcx";
	flags=overlay;
}
function set_rec()
{
	while(1)
	{
		new_rec.pos_x=screen_size.x/2-115+(random(15)-15);
		new_rec.pos_y=screen_size.y/2-25+(random(15)-15);
		improved.pos_x=screen_size.x/2-85+(random(15)-15);
		improved.pos_y=screen_size.y/2-25+(random(15)-15);
		worsen.pos_x=screen_size.x/2-113+(random(15)-15);
		worsen.pos_y=screen_size.y/2-25+(random(15)-15);
		nochange.pos_x=screen_size.x/2-177+(random(15)-15);
		nochange.pos_y=screen_size.y/2-25+(random(15)-15);
sleep(0.1);
	}
}

function set_minigame()
{
	while(1)
	{
		new_minigame.pos_x=screen_size.x/2-160+(random(15)-15);
		new_minigame.pos_y=screen_size.y/2-25+(random(15)-15);
sleep(0.1);
	}
}

action curve_faid
{
	my.alpha=100;
	while(1)
	{
		if(current_level==33)
		{
			if(vec_dist(my.x,camera.x)<250)
			{
							my.transparent=on;

				if(my.alpha>0)
				{
				my.alpha-=10*time;
		}
			}
			else
			{
				if(my.alpha<100)
				{
				my.alpha+=20*time;
		}
		if(my.alpha>=100)
		{
						my.transparent=off;
		}
			}
		}
		else
		{
			my.transparent=off;
		}
		wait(1);
	}
}
entity* board_fall;
action move_cylinder
{
	while(1)
	{
	if(ball_art==1) && (board_fall.roll<35)
	{
my.tilt=-15;
my.z=614;
	}
	else
	{

			my.z=604;
			my.tilt=-5;
	
	}
	wait(1);
}
}
entity* board_fall3;

action removing
{
	while(1)
	{
		if(ball_art==2)
		{
			my.passable=on;
			my.invisible=on;
		}
		else
		{
						my.passable=off;
			my.invisible=off;
		}
		wait(1);
	}
}
action removing2
{
	while(1)
	{
		if(ball_art==2) && (board_fall3.roll>=10)
		{
			my.passable=on;
			my.invisible=on;
		}
		else
		{
						my.passable=off;
			my.invisible=off;
		}
		wait(1);
	}
}
define played_already,skill1;

action falling_board
{
while(1)
{
	board_fall=me;
		if(vec_dist(bounci_ball.x,my.x)<60) && (bounci_ball.skin==2) && (my.roll>30)
	{
		my.roll-=3*time;
	}
	wait(1);
	if(my.roll<=30) && (	my.played_already==0)
{
	media_play("Board.wav",null,50);
my.played_already=1;
}
}
}

action falling_board2
{
while(1)
{
		if(vec_dist(bounci_ball.x,my.x)<60) && (bounci_ball.skin==2) && (my.roll>5)
	{
		my.roll-=6*time;
	}
	if(board_fall3.roll<50)
	{
		my.z-=20*time;
	}
	wait(1);
	if(my.roll<=5) && (	my.played_already==0)
{
	media_play("Board.wav",null,100);
	my.played_already=1;
}
}
}
action falling_board3
{
while(1)
{
	board_fall3=me;
		if(vec_dist(bounci_ball.x,my.x)<60) && (bounci_ball.skin==2) && (my.roll>5)
	{
		my.roll-=6*time;
	}
	wait(1);
		if(my.roll<=5) && (my.played_already==0)
{
	media_play("Board.wav",null,100);
	my.played_already=1;
}
}
}
entity* changer1;
entity* changer2;
function ring_effekt()
{
	change_dummy=me;
	on_esc=null;
	Ring();
	visible_now=1;
	my.x=your.x;
	my.y=your.y;
	my.z=your.z;
	my.passable=on;
	my.invisible=on;

		sleep(2);

	visible_now=0;
		wait(3);
	ent_remove(me);
	sleep(1);

}
function check_pos()
{
		while(1)
	{
		if(vec_dist(changer1.x,bounci_ball.x)>70) && (vec_dist(changer2.x,bounci_ball.x)>70) || (menu_open==1)
		{
		on_esc=menu;
		allow_to_go=1;
}
else
{
	on_esc=null;
			allow_to_go=0;

}
wait(1);
}
}


}
action change_stone
{
	changer1=me;
	my.ambient=35;
	my.passable=on;
	while(1)
	{
		
if(visible_now==1) && (vec_dist(my.x,bounci_ball.x)<70)
{
		on_esc=null;
bounci_ball.x=my.x;
bounci_ball.y=my.y;
bounci_ball.z=my.z+40;
wait(1);
}
	wait(1);

	if(ball_art!=1) && (vec_dist(my.x,bounci_ball.x)<70)
	{
	on_esc=null;

ent_create(generator_dummy,my.x,ring_effekt);
	umwandlungen+=1;


	ball_art=1;

	}
}
}
action move_board
{
	while(1)
	{
		while(my.x<400)
		{
			my.x+=6*time;
			wait(1);
		}
		my.x=400;
		sleep(1);
		while(my.x>-400)
		{
			my.x-=6*time;
		wait(1);
		}
		my.x=-400;
sleep(1);		}
	}
}
action move_board2
{
	while(1)
	{
		while(my.x<200)
		{
			my.x+=3*time;
			wait(1);
		}
		my.x=200;
		sleep(1);
		while(my.x>-200)
		{
			my.x-=3*time;
		wait(1);
		}
		my.x=-200;
sleep(1);		}
	}
}
action change_normal
{
	changer2=me;
	my.ambient=70;
	my.passable=on;
	while(1)
	{
		
if(visible_now==1) && (vec_dist(my.x,bounci_ball.x)<70)
{
		on_esc=null;
bounci_ball.x=my.x;
bounci_ball.y=my.y;
bounci_ball.z=my.z+40;
}
	wait(1);

	if(ball_art!=2) && (vec_dist(my.x,bounci_ball.x)<70)
	{
	on_esc=null;

ent_create(generator_dummy,my.x,ring_effekt);
umwandlungen+=1;


	ball_art=2;

	}
}
}

sound beep_sound=<Beep.wav>;

function beep_button()
{
	media_play("beep.wav",null,100);
}

panel disable_resolution
{
	bmap="disable_resolution.pcx";
	layer=30;
	flags=transparent;
	alpha=70;
}

function options_menu()
{
	photo1.visible=off;
	photo2.visible=off;
	photo3.visible=off;
	photo4.visible=off;
	photo5.visible=off;
	photo6.visible=off;
	photo7.visible=off;
	photo8.visible=off;
	photo9.visible=off;
	photo10.visible=off;
	photo11.visible=off;
	photo12.visible=off;
	close_graphic();
	on_enter=menu;
	on_esc=menu;
	wait(1);
		credits.visible=off;
	cam_art.visible=on;

if(alternative_cam==1)
{
		mouse_slider.visible=off;

}
else
{
	mouse_slider.visible=on;
}	
media_play("wham.wav",null,100);
	menu_buttons.visible=off;
	if(level_loaded==1)
	{
		disable_resolution.visible=on;
	}
	resolution.visible=on;
		resolution2.visible=on;
	while(resolution2.visible==on)
	{
		resolution.pos_y=screen_size.y/2-193;
		resolution.pos_x=screen_size.x/2-180;
		
		disable_resolution.pos_y=screen_size.y/2-196;
		disable_resolution.pos_x=screen_size.x/2-180;
			game_save("save",1,sv_vars);

		mouse_slider.pos_y=screen_size.y/2-151.5;
		mouse_slider.pos_x=screen_size.x/2-50;
		resolution2.pos_y=screen_size.y/2-193.5;
		resolution2.pos_x=screen_size.x/2-50;
				cam_art.pos_y=screen_size.y/2-151.5;
		cam_art.pos_x=screen_size.x/2-50;
		wait(5);
	}
}
function exit_game()
{
	
	exit;
}


panel game_art
{
	layer=15;
	button=0,0,levels_r,levels,levels_r,level_menu,null,beep_button;
	button=0,100,Minigames_r,Minigames,Minigames_r,minigames_menu,null,beep_button;
}

function level_menu()
{
	if(menu_allow==1)
	{
	photo1.visible=off;
	photo2.visible=off;
	photo3.visible=off;
	photo4.visible=off;
	photo5.visible=off;
	photo6.visible=off;
	photo7.visible=off;
	photo8.visible=off;
	photo9.visible=off;
	photo10.visible=off;
	photo11.visible=off;
	photo12.visible=off;
	game_art.visible=off;
	last_level.visible=on;
	last_level_numb.visible=on;
	console_text.visible=off;
	on_esc=menu;
	wait(1);
	credits.visible=off;
media_play("wham.wav",null,100);
	menu_buttons.visible=off;
	level_buttons.visible=on;
	while(level_buttons.visible==on)
	{
		level_buttons.pos_y=screen_size.y/2-180;
		level_buttons.pos_x=screen_size.x/2-250;
		wait(3);
	}
}
	else
{
	close_debug.visible=on;
	sleep(3);
	close_debug.visible=off;
}
}
var collect_objects;

bmap Distance_pcx="Distance.pcx";
bmap Last_Distance_pcx="Last_Distance.pcx";
bmap difference_pcx="difference.pcx";
var distance;
var last_distance=0;
var last_distance2=0;
var difference;
var difference2;
panel longjump_pan
{
	button=0,0,Distance_pcx,Distance_pcx,Distance_pcx,null,null,null;
	button=150,0,Last_Distance_pcx,Last_Distance_pcx,Last_Distance_pcx,null,null,null;
	button=380,0,difference_pcx,difference_pcx,difference_pcx,null,null,null;
	flags=overlay;
	digits=24,30,5.2,credits_font,1,distance;
	digits=224,30,5.2,credits_font,1,last_distance;
	digits=420,30,5.2,credits_font,1,difference;
}
panel longjump_pan2
{
	button=0,0,Distance_pcx,Distance_pcx,Distance_pcx,null,null,null;
	button=150,0,Last_Distance_pcx,Last_Distance_pcx,Last_Distance_pcx,null,null,null;
		button=380,0,difference_pcx,difference_pcx,difference_pcx,null,null,null;

	flags=overlay;
	digits=24,30,5.2,credits_font,1,distance;
	digits=224,30,5.2,credits_font,1,last_distance2;
	digits=420,30,5.2,credits_font,1,difference2;

}
var collecting_time=60;

panel collecting_pan
{
	bmap="objects.pcx";
	flags=overlay;
	digits=58,30,2,credits_font,1,collect_objects;
	digits=180,30,2,credits_font,1,collecting_time;
}
var stone_minigames=0;
var save[3]=0,0,-2160;
var save2[3]=0,0,-2160;
function last_pos()
{
	my.transparent=on;
			my.passable=on;

	my.alpha=75;
	my.overlay=on;
	my.tilt=90;
	my.x=save.x;
	my.y=save.y;
	my.z=save.z;
}
function last_pos2()
{
	my.transparent=on;
			my.passable=on;

	my.alpha=75;
	my.overlay=on;
	my.tilt=90;
	my.x=save2.x;
	my.y=save2.y;
	my.z=save2.z;
}
function on_fall()
{
	my.x=bounci_ball.x;
	my.y=bounci_ball.y;
		my.passable=on;
		my.z=10;
	my.transparent=on;
	my.alpha=75;
	my.overlay=on;
	my.ENABLE_BLOCK = ON;
	my.tilt=90;
while(bounci_ball.z>0)
{
		my.z=-86;
		my.x=bounci_ball.x;
	my.y=bounci_ball.y;
	while(trace(my.x,vector(my.x,my.y,-150))>10)
	{
		my.z-=10;

	}
		wait(1);
}
		save.x=my.x;
	save.y=my.y;
	save.z=my.z;
}
function on_fall2()
{
	my.x=bounci_ball.x;
	my.y=bounci_ball.y;
		my.passable=on;
	my.transparent=on;
	my.alpha=75;
	my.overlay=on;
	my.tilt=90;
while(bounci_ball.z>0)
{
		my.z=-86;
		my.x=bounci_ball.x;
	my.y=bounci_ball.y;
	while(trace(my.x,vector(my.x,my.y,-150))>10)
	{
		my.z-=10;

wait(1);
	}
			save2.x=my.x;
	save2.y=my.y;
	save2.z=my.z;
		wait(1);
}

}
function show_shadow()
{
	my.invisible=on;
	my.passable=on;
	my.scale_x=6.672;
	my.scale_y=6.672;
	my.scale_z=6.672;
	while(you.red==50)
	{
		my.pan=you.pan;
		my.tilt=you.tilt;
		my.roll=you.roll;
		if(particel_quality==2)
		{
			my.shadow=on;
	
		}
		if(particel_quality==1)
		{
			if(vec_dist(bounci_ball.x,my.x)<400)
			{
				my.shadow=on;
			}
			else
			{
				my.shadow=off;
			}
		}
wait(1);
	}
	wait(1);
ent_remove(me);
}
//generiert bei Material Creator (c) by Torsten Simon
	material blue_mat
	{
		diffuse_red=4.250 ;
		diffuse_blue=242.250 ;
		diffuse_green=131.750 ;
		
		ambient_red=25.500 ;
		ambient_blue=250.750 ;
		ambient_green=191.250 ;
		
		specular_red=0 ;
		specular_blue=59.500 ;
		specular_green=8.500 ;
		
		emissive_red=46.750 ;
		emissive_blue=4.250 ;
		emissive_green=0 ;
		
		power=69.973 ;
		albedo=100 ;
	}
action collect_item
{
		my.red=50;
	my.green=0;
	my.blue=200;
//my.pan=random(360);
//my.tilt=random(360);
//my.roll=random(360);
if(geometry==1)
{
	ent_morph(me,"Ring_high.mdl");
if(particel_quality>0)
{
my.material=mat_reflect;
}
else
{
		my.material=blue_mat;

}
}
else
{
	my.material=blue_mat;
}

			if(particel_quality==2)
			{
				ent_create("Ring.mdl",my.x,show_shadow);
	}
	if(particel_quality==1)
	{
				ent_create("Ring.mdl",my.x,show_shadow);
	}
	my.passable=on;
	while(vec_dist(my.x,bounci_ball.x)>70)
	{

if(vec_dist(my.x,bounci_ball.x)<400) && (particel_quality>0)
{
	if(vec_dist(my.x,bounci_ball.x)<400)
	{
	my.lightrange=10;
}
	if(vec_dist(my.x,bounci_ball.x)<380)
	{
	my.lightrange=25;
}
	if(vec_dist(my.x,bounci_ball.x)<360)
	{
	my.lightrange=50;
}
	if(vec_dist(my.x,bounci_ball.x)<340)
	{
	my.lightrange=100;
}
	if(vec_dist(my.x,bounci_ball.x)<320)
	{
	my.lightrange=150;
}
	if(vec_dist(my.x,bounci_ball.x)<300)
	{
	my.lightrange=250;
}
	if(vec_dist(my.x,bounci_ball.x)<200)
	{
	my.lightrange=450;
}
	if(vec_dist(my.x,bounci_ball.x)<100)
	{
	my.lightrange=600;
}

}
else
{
	my.lightrange=0;
}

		my.pan+=3*time;
		my.roll+=3*time;
		my.tilt+=3*time;
		wait(1);
	}
	if(collecting_time>0)
	{
	collect_objects+=1;

	media_play("Blubb.wav",null,200);
	my.z+=20;

	if(particel_quality==2)
	{
	ent_create("bounci.mdl",vector(my.x,my.y,my.z),Funken);
}
	if(particel_quality==1)
	{
	ent_create("bounci.mdl",vector(my.x,my.y,my.z),Funken_low);
}
	if(particel_quality==0)
	{
	ent_create("bounci.mdl",vector(my.x,my.y,my.z),Funken_vlow);
}
my.invisible=on;
my.shadow=off;
	my.red=100;
	my.green=100;
	my.lightrange=0;
	my.blue=250;
while(particel_quality>0) && (my.lightrange<600)
{
		my.lightrange+=100*time;
		wait(1);
	}


sleep(0.2);
ent_remove(me);

}
}
font very_big="Times",1,50;
string time_text1="3";
string time_text2="2";
string time_text3="1";
string time_text4="Los!";
text time_text_collecting
{
	string=time_text1;
	font=very_big;
	layer=1;
	flags=transparent;
	alpha=100;
}

function load_collecting()
{

		collecting_time=60;
collect_objects=0;
				collecting_pan.visible=off;

					freeze_mode=0;
		on_esc=menu;
minigames_pan.visible=off;
			menu_buttons.visible=off;
	level_buttons.visible=off;
	mouse_mode=0;
	current_level=42;
	load_level("Collecting.wmb");
	tut_text1.visible=off;
	tut_text2.visible=off;
	text_pa.visible=off;
			load_standarts();
		menu_open=0;
						longjump_pan.visible=off;

						media_stop(0);
	ball_art=2;
	time_text_collecting.visible=off;
wait(3);
	black.visible=off;
	freeze_mode=1;
						time_text_collecting.string=time_text1;

						time_text_collecting.alpha=100;
time_text_collecting.visible=on;
time_text_collecting.pos_x=screen_size.x/2-5;
time_text_collecting.pos_y=screen_size.y/2-70;
while(time_text_collecting.alpha>0)
{
	time_text_collecting.alpha-=5*time;
	time_text_collecting.pos_y+=3*time;
wait(1);
}
time_text_collecting.string=time_text2;
time_text_collecting.alpha=100;
time_text_collecting.pos_x=screen_size.x/2-5;
time_text_collecting.pos_y=screen_size.y/2-70;
while(time_text_collecting.alpha>0)
{
	time_text_collecting.alpha-=5*time;
	time_text_collecting.pos_y+=3*time;
wait(1);
}
time_text_collecting.string=time_text3;
time_text_collecting.alpha=100;
time_text_collecting.pos_x=screen_size.x/2-5;
time_text_collecting.pos_y=screen_size.y/2-70;
while(time_text_collecting.alpha>0)
{
	time_text_collecting.alpha-=5*time;
	time_text_collecting.pos_y+=3*time;
wait(1);
}
	freeze_mode=0;
						collecting_pan.visible=on;

					collecting_pan.pos_x=screen_size.x/2-150;
collecting_time=60;
collect_objects=0;
time_text_collecting.string=time_text4;
time_text_collecting.alpha=100;
time_text_collecting.pos_x=screen_size.x/2-35;
time_text_collecting.pos_y=screen_size.y/2-70;
while(time_text_collecting.alpha>0)
{
	time_text_collecting.alpha-=5*time;
	time_text_collecting.pos_y+=3*time;
wait(1);
}


		while(current_level==42)
		{

	ball_art=2;
	bounci_skin=2;
					collecting_pan.pos_x=screen_size.x/2-150;

wait(1);
if(collecting_time==0) && (collecting_pan.visible==on)
{
	if(collect_objects>collect_rec)
	{

			new_rec.visible=on;
media_play("Glass.wav",null,150);
sleep(1.5);
			new_rec.visible=off;
		collect_rec=collect_objects;
		game_save("Save",1,SV_VARS);

		}
	
		sleep(2);
if(menu_open==0)
{
	while(time_factor!=1)
	{
		wait(1);
	}
			new_rec.visible=off;
if(collecting_time!=60)
{
		load_collecting();
}
	return;
}
		}
//	tutorial(); //Don't work correctlyy at restart
}

}


function minigames_menu();



function minigames_menu()
{
	game_art.visible=off;
	media_play("wham.wav",null,100);
	minigames_pan.visible=on;
	while(minigames_pan.visible==on)
	{
		minigames_pan.pos_y=screen_size.y/2-60;
		minigames_pan.pos_x=screen_size.x/2-200;
		wait(3);
	}}

function select_game_art()
{
	if(menu_allow==1)
	{
if(level>=22)
{

	console_text.visible=off;
	on_esc=menu;
	wait(1);
	photo1.visible=off;
	photo2.visible=off;
	photo3.visible=off;
	photo4.visible=off;
	photo5.visible=off;
	photo6.visible=off;
	photo7.visible=off;
	photo8.visible=off;
	photo9.visible=off;
	photo10.visible=off;
	photo11.visible=off;
	photo12.visible=off;
	credits.visible=off;
media_play("wham.wav",null,100);
	menu_buttons.visible=off;
		game_art.visible=on;
			while(game_art.visible==on)
	{
		game_art.pos_y=screen_size.y/2-60;
		game_art.pos_x=screen_size.x/2-90;
		wait(3);
	}
}
else
{
	level_menu();
}
}
}


function fadeing()
{
	while(1)
	{
		
	if(mouse_moving==0) && (mouse_left==0)
{

	menu_buttons.alpha-=0.25*time;
	credits.alpha-=0.5*time;
	if(menu_buttons.alpha<=0)
	{
		mouse_map=null;
	}
}
else
{
	mouse_map=arrow;
	menu_buttons.alpha=40;
	credits.alpha=80;
}
wait(1);

}
}

var movie;
var last_movie=0;


panel load_screen
{
	bmap="Load_screen.tga";
	layer=2000;
	flags=transparent;
	alpha=0;
}

text statistik_min
{
	layer=20;
	font=credits_font;
	string="min
	min
	min";	
}
var stat_level;
panel statistik_pa
{
	layer=20;
	digits=0,0,5.1,credits_font,1,gaming_time;
	digits=0,24,5.1,credits_font,1,norm_time;
	digits=0,48,5.1,credits_font,1,stone_time;
	digits=0,72,5,credits_font,1,umwandlungen;
	digits=0,96,5,credits_font,1,runtergefallen;
	digits=0,120,5,credits_font,1,stat_level;
}
panel black_statistik
{
	bmap="Black_small.pcx";
	layer=15;
	flags=transparent;
	alpha=60;
}
function statistik()
{
	stat_level=level-1;
	if(stat_level>40)
	{
		stat_level=40;
	}
/*		photo1.visible=off;
	photo2.visible=off;
	photo3.visible=off;
	photo4.visible=off;
	photo5.visible=off;
	photo6.visible=off;
	photo7.visible=off;
	photo8.visible=off;
	photo9.visible=off;
	photo10.visible=off;
	photo11.visible=off;
	photo12.visible=off;*/
	close_graphic();
	on_enter=menu;
	on_esc=menu;
	wait(1);
		credits.visible=off;
		media_play("wham.wav",null,100);
	menu_buttons.visible=off;
	statistik_text.visible=on;
	statistik_text.pos_x=screen_size.x/2-250;
	statistik_text.pos_y=screen_size.y/2-50;	
	statistik_min.visible=on;
	statistik_min.pos_x=screen_size.x/2+150;
	statistik_min.pos_y=screen_size.y/2-50;
	statistik_pa.visible=on;
	statistik_pa.pos_x=screen_size.x/2+50;
	statistik_pa.pos_y=screen_size.y/2-50;
	black_statistik.visible=on;
	black_statistik.pos_x=screen_size.x/2-250;
	black_statistik.pos_y=screen_size.y/2-53;
	}
function menu()
{
	if(pw_ok==1)
	{
		Load_screen.visible=on;
if(video_mode==6)
{
	load_screen.scale_x=1;
	load_screen.scale_y=1;
}
if(video_mode==7)
{
	load_screen.scale_x=1.25;
	load_screen.scale_y=1.25;
}
if(video_mode==8)
{
	load_screen.scale_x=1.61;
	load_screen.scale_y=1.61;
}
if(video_mode==9)
{
	load_screen.scale_x=2;
	load_screen.scale_y=2;
}
mouse_mode=0;
		while(Load_screen.alpha<100)
		{
			Load_screen.alpha+=20*time;
			wait(1);
		}
		if(time_on==1)
		{
			time_pa.visible=on;
			time_text.visible=on;
		}
		tut_text.visible=off;
		statistik_text.visible=off;
		statistik_min.visible=off;
		statistik_pa.visible=off;
			worsen.visible=off;
	nochange.visible=off;
time_text_collecting.visible=off;
		improved.visible=off;
		Load_screen.alpha=100;
				menu_buttons.pos_x=10;
				black_statistik.visible=off;
		menu_buttons.pos_y=screen_size.y/2-122;
						longjump_pan2.visible=off;

			in_association.visible=off;
		game_from.alpha=0;
		video_pa.visible=off;
		in_association.alpha=0;
disable_resolution.visible=off;
			game_from.visible=off;
	fps_min=50;
fps_max=300;
		media_stop(0);
		new_rec.visible=off;
collecting_pan.visible=off;
				game_art.visible=off;
			longjump_pan.visible=off;
minigames_pan.visible=off;
	last_level.visible=off;
	last_level_numb.visible=off;
		no_level_open=0;
dont_count=0;
				black.transparent=off;
new_minigame.visible=off;
tut_ask.visible=off;

			credits_text.visible=off;
		credits.pos_x=screen_size.x-100;
		credits.pos_y=20;
		menu_buttons.pos_x=10;
		menu_buttons.pos_y=screen_size.y/2-152;
		ok_credits.visible=off;
		on_enter=null;
			close_graphic();
		finish_now=0;
	no_video=0;
	randomize();
	watched=null;
		cam_art.visible=off;
menu_photos();
	credits.visible=on;
	on_enter=null;
	level_buttons.visible=off;
	on_esc=exit_game;
	resolution.visible=off;
	resolution2.visible=off;
	mouse_slider.visible=off;
		menu_buttons.visible=on;
	menu_open=1;
	show_minigame=0;
	freeze_mode=1;

	menu_buttons.visible=on;
	game_save("Save",1,SV_VARS);
	black.visible=on;
media_layer=2;
wait(1);
if(geometry==0)
{
	file_cpy("Data/Cylinder.wmb","Data/Cylinder_low.wmb");
	file_cpy("Data/Curve.wmb","Data/Curve_low.wmb");
}
if(geometry==1)
{
	file_cpy("Data/Cylinder.wmb","Data/Cylinder_high.wmb");
	file_cpy("Data/Curve.wmb","Data/Curve_high.wmb");
}
sleep(0.1);
		while(Load_screen.alpha>0)
		{
			Load_screen.alpha-=20*time;
			wait(1);
		}
		Load_screen.visible=off;
		Load_screen.alpha=0;
			mouse_map=arrow;
	mouse_mode=2;
	while(1)
	{
/*if(num_mediastreams<1) && (no_video==0)
{
	movie=int(random(5));
	while(movie==last_movie)
	{
	movie=int(random(5));
	wait(1);
	}
	last_movie=movie;
	if(movie==1)
	{
	media_play("Movie1.wmv",null,100);
}
	if(movie==2)
	{
	media_play("Movie2.wmv",null,100);
}
	if(movie==3)
	{
	media_play("Movie3.wmv",null,100);
}
	if(movie==4)
	{
	media_play("Movie4.wmv",null,100);
}
}*/

		   MOUSE_POS.X = POINTER.X;
    MOUSE_POS.Y = POINTER.Y;
		credits.pos_x=screen_size.x-100;
		credits.pos_y=20;
		menu_buttons.pos_x=10;
		menu_buttons.pos_y=screen_size.y/2-152;
		wait(1);
		
		}
}
else
{
	exit_game();
}
	}
	
panel glogo
{
	layer=10;
	bmap=<glogo.pcx>;
	flags=transparent;
	alpha=0;
}

var video_mode=7;
panel fps_text
{
	layer=200;
	digits 2,2,4,credits_font,16,TIME_FAC; // Frames pro sekunde

}
var show_fps=0;
panel egg
{
	bmap="black2.tga";
	layer=400;
}
function easter_egg()
{
		egg.visible=on;

if(video_mode==6)
{
	egg.scale_x=1;
	egg.scale_y=1;
}
if(video_mode==7)
{
	egg.scale_x=1.25;
	egg.scale_y=1.25;
}
if(video_mode==8)
{
	egg.scale_x=1.61;
	egg.scale_y=1.61;
}
if(video_mode==9)
{
	egg.scale_x=2;
	egg.scale_y=2;
}
sleep(0.5);
while(key_any==null)
{
	wait(1);
}	
egg.visible=off;
}
}
function console()
{
	while(1)
	{
		if(key_ctrl==1) && (key_c==1) && (menu_buttons.visible==on)
		{
			str_cpy(console_str,"                                                 ");
			menu_allow=0;
						console_text.visible=on;

			inkey(console_str);
			if(result!=1)
			{
				menu_allow=1;
							console_text.visible=off;

			}
		}
		if(str_cmpi(console_str,"show_fps=1")==1)
		{
fps_text.visible=on;
show_fps=1;
					game_save("save",1,sv_vars);
					EXEC("Bounci X2.exe", ""); //Wichtig!!! umbenennen!
					exit_game();

		}
				if(str_cmpi(console_str,"show_time=1")==1)
		{
time_pa.visible=on;
time_text.visible=on;
time_on=1;
					game_save("save",1,sv_vars);

		}
						if(str_cmpi(console_str,"beta_sounds=1")==1)
		{
beta_sounds=1;
					game_save("save",1,sv_vars);

		}
						if(str_cmpi(console_str,"beta_sounds=0")==1)
		{
beta_sounds=0;

					game_save("save",1,sv_vars);

		}
						if(str_cmpi(console_str,"Easter Egg")==1)
		{
Easter_egg();
			str_cpy(console_str,"                                                 ");

		}
						if(str_cmpi(console_str,"show_time=0")==1)
		{
time_pa.visible=off;
time_text.visible=off;
time_on=0;
					game_save("save",1,sv_vars);


		}
				if(str_cmpi(console_str,"show_fps=0")==1)
		{
fps_text.visible=off;
show_fps=0;
					game_save("save",1,sv_vars);
					EXEC("Bounci X2.exe", ""); //Wichtig!!! umbenennen!
					exit_game();

		}
		if(str_cmpi(console_str,"debugging=1")==1)
		{
debugging=1;
					game_save("save",1,sv_vars);
		}
				if(str_cmpi(console_str,"debugging=0")==1)
		{
debugging=0;
					game_save("save",1,sv_vars);
		}
			if(str_cmpi(console_str,"d3dlines=1")==1)
		{
			d3d_lines=on;
								game_save("save",1,sv_vars);

		}
					if(str_cmpi(console_str,"d3dlines=0")==1)
		{
			d3d_lines=off;
								game_save("save",1,sv_vars);

		}
							if(str_cmpi(console_str,"real_programming")==1)
		{
						console_text.visible=on;
			str_cpy(console_str,"                                                                            ");
			Warning_console.visible=on;
					inkey(console_str);

			if(result==13)
			{
EXECUTE (console_str);
console_text.visible=off;
Warning_console.visible=off;
}
else
{
	console_text.visible=off;
Warning_console.visible=off;
}
		}
		wait(1);
	}

}

		
	}
}

function mouse_zoom()
{
	while(1)
	{

		if(zoom<=900) && (zoom>=20) && (finish_now==0)
		{
			if(mickey.z>0)
			{
				while(check_zooming<15) && (zoom<=900) && (zoom>=20) && (finish_now==0)
				{
					
				zoom-=25*time;
							camera.tilt=-zoom/20;
			clouds.tilt=-zoom/20-30;
			zoom2=-sin(camera.tilt)*zoom;
															if(zoom<300) && (bounci_ball)
												{
													bounci_ball.transparent=on;
													bounci_ball.alpha=zoom/2.5;
												}
												else
												{
													if(bounci_ball)
													{
													bounci_ball.transparent=off;
												}
											}
				check_zooming+=1;
			wait(1);
		}
		check_zooming=1;
	}
	if(mickey.z<0)
	{
				while(check_zooming<15)&&(check_zooming<50) && (zoom<=900) && (zoom>=20) && (finish_now==0)
				{
				zoom+=25*time;
											camera.tilt=-zoom/20;
			clouds.tilt=-zoom/20-30;
			zoom2=-sin(camera.tilt)*zoom;
															if(zoom<300) && (bounci_ball)
												{
													bounci_ball.transparent=on;
													bounci_ball.alpha=zoom/2.5;
												}
												else
												{
													if(bounci_ball)
													{
													bounci_ball.transparent=off;
												}
											}
				check_zooming+=1;
			wait(1);
		}
		check_zooming=1;
	}
												camera.tilt=-zoom/20;
												if(zoom<300) && (bounci_ball)
												{
													bounci_ball.transparent=on;
													bounci_ball.alpha=zoom/2.5;
												}
												else
												{
													if(bounci_ball)
													{
													bounci_ball.transparent=off;
												}
												}
			clouds.tilt=-zoom/20-30;
			zoom2=-sin(camera.tilt)*zoom;

		}
else
{
	if(zoom>900)
	{
		zoom=900;
	}
	else
	{
		zoom=20;
	}
}
					wait(1);
	}
}
function rotate_cam2()
{
	while(1)
	{
				wait(1);

		if(alternative_cam==0)
		{
if(finish_now==0)
{

			int(camera.pan);
			camera.pan-=mouse_force.x*mouse_reaction*Time;
		pan2=sin(camera.pan)*zoom;
		pan1=-cos(camera.pan)*zoom;
}
}
else
{
if(bounci_ball.z>-200) && (finish_now==0)
{
	camera.pan=90;
	pan2=zoom;
	pan1=0;
}
}
	}
}

function rotate_cam()
{
	if(alternative_cam==0) && (bounci_ball.z>-200) && (finish_now==0)
	{
				camera.pan=0;
}
}
on_space=rotate_cam;


function count_down()
{
while(1)
{
	if(collecting_time!=0) && (time_factor==1)
	{
	sleep(1);
	collecting_time-=1;
}
else
{
	wait(1);
}
}
}
include <Graphic_settings.wdl>;
panel low_graphic
{
	bmap="low_graphic.pcx";
	layer=3;
	flags=transparent;
	alpha=80;
}
panel high_graphic
{
	bmap="high_graphic.pcx";
	layer=3;
	flags=transparent;
	alpha=80;
}
panel norm_graphic
{
	bmap="norm_graphic.pcx";
	layer=3;
	flags=transparent;
	alpha=80;
}
function remove_graphic()
{
	high_graphic.visible=off;
	low_graphic.visible=off;
	norm_graphic.visible=off;
pw_ok=1;
menu();
}
var testing=2;

function check_view()
{
	while(menu_open==1)
	{
		wait(1);
	}
	while(1)
	{
		testing=c_trace(camera.x,bounci_ball.x,ignore_me+ignore_models+use_box);
	if(c_trace(camera.x,bounci_ball.x,ignore_me+use_box)<800)
	{
			you.transparent=on;
			you.alpha=40;
	}


		wait(1);
	}
}
panel test_pa
{
	//flags=visible;
	digits=0,0,5.2,small,1,testing;
}
function time_game()
{
	while(1)
	{
		if(menu_open==0)
		{
			gaming_time+=0.1;
			if(ball_art==2)
			{
				norm_time+=0.1;
			}
			if(ball_art==1)
			{
				stone_time+=0.1;
			}
			sleep(6);		
			
		}
		else
		{
		wait(1);
	}
	}
}

function main()
{
	fps_min=50;
fps_max=300;
screen_color=1;
sleep(0.5);
glogo.visible=on;
while(glogo.alpha<100)
{
	glogo.alpha+=8*time;
wait(1);
}
sleep(1);
while(glogo.alpha>0)
{
	glogo.alpha-=16*time;
wait(1);
}
max_entities=500;
glogo.visible=off;
	//Don't forget the GStudio Logo!!!
			Load_screen.visible=on;
if(video_mode==6)
{
	load_screen.scale_x=1;
	load_screen.scale_y=1;
}
if(video_mode==7)
{
	load_screen.scale_x=1.25;
	load_screen.scale_y=1.25;
}
if(video_mode==8)
{
	load_screen.scale_x=1.61;
	load_screen.scale_y=1.61;
}
if(video_mode==9)
{
	load_screen.scale_x=2;
	load_screen.scale_y=2;
}
check_zooming=1;
mouse_mode=0;
		while(Load_screen.alpha<100)
		{
			Load_screen.alpha+=15*time;
			wait(1);
		}
		Load_screen.alpha=100;
	//	check_speed();
	rotate_cam2();
	console();
//	fadeing();
	no_video=0;
	video_pa.visible=off;
	count_down();
	set_rec();
	set_minigame();
		allow_to_go=1;
		set_view();
		set_level();
		mouse_zoom();
		move_cam_down();
	menu_open=1;
	rotate_cam();
	clip_size = 0;
	screen_color=1;
		ph_setgravity (vector(0, 0, -386)); // we're going to use a gravity vector that's similar to Earth's gravity
sky_clip = -190; // der gesamte Himmel (sky) wird gezeichnet, sogar unterhalb des Bodens
/*
logo_b.visible=on;

while(logo_b.alpha<100)
{
	logo_b.alpha+=2*time;
wait(1);
}
sleep(1);
while(logo_b.alpha>0)
{
	logo_b.alpha-=2*time;
wait(1);
}
logo_b.visible=off;*/
game_load("save",1);
//check_view(); //Don't work with map entities
time_game();
level_loaded=0;
if(first_game_start==1)
{
			while(Load_screen.alpha>0)
		{
			Load_screen.alpha-=20*time;
			wait(1);
		}
		Load_screen.visible=off;
		Load_screen.alpha=0;
		video_switch(6,0,0);
if(d3d_shaderversion>0)
{
	if(d3d_shaderversion>=2020)
	{
	video_res=8;
	Geometry=1;
	particel_quality=1;
	view_depth=1;
high_graphic.visible=on;
	high_graphic.pos_x=screen_size.x/2-200;
	high_graphic.pos_y=screen_size.y/2-180;
	while(key_enter==0)
	{
		wait(1);
	}
	wait(5);
	remove_graphic();

}
else
{
	video_res=7;
	Geometry=0;
	particel_quality=1;
	view_depth=1;
norm_graphic.visible=on;
	norm_graphic.pos_x=screen_size.x/2-200;
	norm_graphic.pos_y=screen_size.y/2-180;
	while(key_enter==0)
	{
		wait(1);
	}
	wait(5);
	remove_graphic();
}
}
else
{
		video_res=6;
	Geometry=0;
	particel_quality=0;
	view_depth=0;
	low_graphic.visible=on;

	low_graphic.pos_x=screen_size.x/2-200;
	low_graphic.pos_y=screen_size.y/2-180;
		while(key_enter==0)
	{
		wait(1);
	}
		wait(5);

	remove_graphic();

}
}
else
{
	remove_graphic();
	pw_ok=1;
	menu();
}
game_load("save",1);


if(video_res==6)
{
	video_switch(6,0,0);
}
if(video_res==7)
{
	video_switch(7,0,0);
}
if(video_res==8)
{
	video_switch(8,0,0);
}
if(video_res==9)
{
	video_switch(9,0,0);
}
if(video_mode==6)
{
	load_screen.scale_x=1;
	load_screen.scale_y=1;
}
if(video_mode==7)
{
	load_screen.scale_x=1.25;
	load_screen.scale_y=1.25;
}
if(video_mode==8)
{
	load_screen.scale_x=1.61;
	load_screen.scale_y=1.61;
}
if(video_mode==9)
{
	load_screen.scale_x=2;
	load_screen.scale_y=2;
}
	if(mouse_usable==0)
	{
		steering_art=1;
	}
wait(5);
if(geometry==0)
{
	file_cpy("Data/Cylinder.wmb","Data/Cylinder_low.wmb");
	file_cpy("Data/Curve.wmb","Data/Curve_low.wmb");

}
if(geometry==1)
{
	file_cpy("Data/Cylinder.wmb","Data/Cylinder_high.wmb");
	file_cpy("Data/Curve.wmb","Data/Curve_high.wmb");

}
screengrab();

	check_pos();
								camera.tilt=-30;

		camera.pan=90;
		pan1=0;
		pan2=400;

menu_allow=1;
	no_video=0;
if(show_fps==0)
{
	fps_text.visible=off;
}
else
{
	fps_text.visible=on;	
}

/*		while(Load_screen.alpha>0)
		{
			Load_screen.alpha-=20*time;
			wait(1);
		}
		Load_screen.visible=off;
		Load_screen.alpha=0;*/
	while(1)
	{

		if(finish_now==0) && (bounci_ball)
		{

		camera.x=bounci_ball.x+pan1;
		camera.y=bounci_ball.y-pan2;
		camera.z=bounci_ball.z+zoom2;
}


wait(1);
	}
}

on_f2=null;
on_f3=null;
on_f4=null;
on_f5=null;
on_f7=null;
on_f8=null;
on_f9=null;
on_f10=null;
on_f11=null;
on_f12=null;
on_alt=null;
